- name: Debug Meta
  debug: var=ansible_operator_meta
- name: Debug Toggles
  debug:
    msg: |
      affinities:{{ do_affinities }},
      debugs:{{ do_debugs }},
      exporters:{{ do_exporters }},
      hpa:{{ do_hpa }},
      imagesfrom:{{ opsperator_images_registry }},
      networkpolicy:{{ do_network_policy }},
      pdb:{{ do_pdb }},
      triggers:{{ do_triggers }}
  failed_when: False
- name: Sets Objects Names according to input metadata
  set_fact:
    appscache_name: "nextcloud-appscache-{{ ansible_operator_meta.name }}"
    cr_apivers: wopla.io/v1beta1
    cr_kind: NextCloudApplicationsCache
    cr_name: "{{ ansible_operator_meta.name }}"
    namespace: "{{ ansible_operator_meta.namespace }}"
    pki_set: []
- include_role:
    name: commons
    tasks_from: helpers/get-lock.yaml
- name: "Checks {{ cr_name }} CR Status"
  async: 30
  changed_when: False
  k8s_info:
    api_version: "{{ cr_apivers }}"
    kind: "{{ cr_kind }}"
    name: "{{ cr_name }}"
    namespace: "{{ namespace }}"
  no_log: True
  poll: 5
  register: nextcloudappscache_crd
- name: Exits if CR is paused
  meta: end_play
  when:
  - nextcloudappscache_crd is defined
  - nextcloudappscache_crd.resources | length > 0
  - nextcloudappscache_crd.resources[0].spec is defined
  - nextcloudappscache_crd.resources[0].spec.pause | default(False)
- include_role:
    name: commons
    tasks_from: helpers/k8s-flavor.yaml
- include_role:
    name: commons
    tasks_from: helpers/sc-check.yaml
  vars:
    requires_rwo: True
- name: Forces Replicas count on Non-scalable Deployments (RWX)
  set_fact:
    nextcloudappscache_max_replicas: 1
    nextcloudappscache_min_replicas: 1
    nextcloudappscache_replicas: 1
  when:
  - rwx_storage is not defined
